Name: libwvstreams
Version: 3.70
Release: alt2
Summary: WvStreams is a network programming library written in C++
Source: http://open.nit.ca/download/wvstreams-%version.tar.bz2
Patch0: wvstreams-3.69-redhat.patch
Patch1: wvstreams-3.70-gcc3.patch
Patch2: wvstreams-3.70-serial.patch
Url: http://open.nit.ca/wvstreams
Group: System/Libraries
License: LGPL
PreReq: /var/lock/serial

# Automatically added by buildreq on Mon Oct 21 2002
BuildRequires: gcc-c++ libssl-devel libstdc++-devel zlib-devel

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package devel
Summary: Development files for WvStreams
Group: Development/C
Requires: %name = %version-%release

%description devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains the files
needed for developing applications which use WvStreams.

%package devel-static
Summary: Development files for WvStreams
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q -n wvstreams-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make COPTS="$RPM_OPT_FLAGS -fPIC" LIBDIR=%_libdir

%install
make install PREFIX=$RPM_BUILD_ROOT/usr LIBDIR=$RPM_BUILD_ROOT/%_libdir
chmod 755 $RPM_BUILD_ROOT%_libdir/*.so.*

%files
%doc src/README
%_libdir/*.so.*

%files devel
%_includedir/wvstreams
%_libdir/*.so

%files devel-static
%_libdir/*.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Wed Dec 25 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.70-alt2
- Fixed /var/lock path

* Mon Oct 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.70-alt1
- First build for Sisyphus

* Tue Sep 10 2002 Mike A. Harris <mharris@redhat.com> 3.70-6
- use FHS macros for multilib systems

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 3.70-1
- patch to build with gcc 3.x
- build with -fPIC

* Wed Apr 10 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.70

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 3.69-1
- pull in from upstream tarball

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com>
- merge the main and -devel packages into one .spec file
- use globbing to shorten the file lists
- don't define name, version, and release as macros (RPM does this by default)
- use the License: tag instead of Copyright: (equivalent at the package level,
  but License: reflects the intent of the tag better)
- use a URL to point to the source of the source tarball
- add BuildRequires: openssl-devel (libwvcrypto uses libcrypto)
- move the buildroot to be under %%{_tmppath}, so that it can be moved by
  altering RPM's configuration

* Tue Jan 29 2002 Patrick Patterson <ppatters@nit.ca>
- Initial Release of WvStreams
